# $Revision: 1.43 $, $Date: 2004/05/06 18:43:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	Table
Summary:	HTML::Table perl module - producing HTML tables
Summary(pl):	Modu perla HTML::Table - tworzenie tabelek w HTML-u
Name:		perl-HTML-Table
Version:	2.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1c307b8fbb06d2ccbe08714632b418d9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::Table is used to generate HTML tables for CGI scripts. By using
the methods provided fairly complex tables can be created,
manipulated, then printed from Perl scripts. The module also greatly
simplifies creating tables within tables from Perl. It is possible to
create an entire table using the methods provided and never use an
HTML tag.

%description -l pl
HTML::Table suy do generowania tabelek w HTML-u z poziomu skryptw
CGI. Przy uyciu dostarczonych metod mona tworzy, obrabia i
drukowa dosy skomplikowane tabele z poziomu skryptw perlowych.
Modu take znakomicie upraszcza tworzenie tabelek w tabelkach. Mona
stworzy ca tabel przy uyciu tych metod be uycia ani jednego
znacznika HTML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/HTML/Table.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Table.spec,v $
Revision 1.43  2004/05/06 18:43:11  ankry
- fixed perl-devel BR

Revision 1.42  2004/04/22 06:53:52  ankry
- license fixes and unification

Revision 1.41  2004/04/04 20:08:43  adamg
- updated to 2.02

Revision 1.40  2003/11/01 00:50:12  qboosh
- updated to 1.20, new-style bcond, more informative descriptions

Revision 1.39  2003/09/15 11:44:30  adamg
- updated to 1.19

Revision 1.38  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.37  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.36  2003/05/28 13:00:40  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:24:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.33  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.32  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.31  2003/02/18 15:33:11  ankry
- massive attack: change CPAN URLs

Revision 1.30  2002/10/28 15:43:33  ankry
- version 1.17, added tests

Revision 1.29  2002/08/06 07:43:58  kloczek
- updated to 1.16.

Revision 1.28  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.27  2002/07/11 07:59:44  depesz
- new version; should work; STBR

Revision 1.26  2002/07/10 08:47:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:32:06  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:16:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.21  2002/02/10 15:27:21  depesz
adapterized

Revision 1.20  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/08/20 09:25:28  mis
- autoupdated to 1.11

Revision 1.18  2001/06/12 18:27:39  mis
- autoupdated to 1.09

Revision 1.17  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.16  2001/05/19 12:09:00  mis
- autoupdated to 1.08

Revision 1.15  2001/04/17 12:10:30  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/03/09 15:01:09  mis
- updated (by autoup) to 1.07b

Revision 1.12  2001/02/28 18:58:36  mis
- updated (by autoup) to 1.07

Revision 1.11  2001/02/20 14:55:20  mis
- updated (by autoup) to 1.06

Revision 1.10  2001/02/20 14:18:53  mis
- updated (by autoup) to 1.04a

Revision 1.9  2001/02/05 21:19:57  kloczek
- updated to 1.04.

Revision 1.8  2001/01/08 20:04:18  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:13  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:12  pius
- initial release
